Unzip File

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API extract files and folders from a ZIP file to a destined folder in WorkDrive.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/unzip \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"selected_file_extraction":false,"merge":"no","resource_id":"cjrrr27f73d5b59a54b16aaf3cd74478a0fa2"},"type":"unzip"}}'

Path Parameters

resource_idstring(Required)

The unique ID of the destination folder where the zip file is extracted to.

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
selected_file_extractionboolean(Required)

Set value as "false".

mergestring(Required)

Set value as "No".

resource_idstring(Required)

The unique ID of the zip file.

typestring(Required)

The JSON:API resource type. Always "unzip".

Allowed Values :
Show Values
unzipCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "selected_file_extraction": false,
        "merge": "no",
        "resource_id": "cjrrr27f73d5b59a54b16aaf3cd74478a0fa2"
      },
      "type": "unzip"
    }
  }
                
Show full

Response Example

R602

R602

Z002

R007

R004

F7003

F7003

A001

Z014

Z014

Z012

R008

R008

F7004

Z021

R009

R009

R004

Z006

Z007

R602

R602

Z013

Z004

Z015

Z009

Z008

F000

Z010

Z011

200
200
400
401
402
403
404
409
412
500
Copied!
  {
    "data": {
      "id": "cjrrr27f73d5b59a54b16aaf3cd74478a0fa2",
      "type": "unzip",
      "attributes": {
        "selected_file_extraction": false,
        "unzip_info": {
          "name": "report april",
          "id": "cjrrr27f73d5b59a54b16aaf3cd74478a0fa2",
          "children": [
            {
              "name": "April",
              "id": "cjrrr1b298cf52cf44acebc713ab5b73bbd77"
            }
          ]
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/unzip/cjrrr27f73d5b59a54b16aaf3cd74478a0fa2"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R602",
        "title": "Invalid parent Id"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z002",
        "title": "File size too large before extraction"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R007",
        "title": "Invalid pattern"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z014",
        "title": "Upgrade your License"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z012",
        "title": "License is in suspend state"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Insufficient permissions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z021",
        "title": "Destination team folder storage exceeded"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R009",
        "title": "Resource not active"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Resource not found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z006",
        "title": "Zip name already exist"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z007",
        "title": "Folder depth limit exceeds"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R602",
        "title": "Authorization check failed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z013",
        "title": "Zip entry count exceeeded"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z004",
        "title": "Failure unknown"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z015",
        "title": "File Already exist in this library"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z009",
        "title": "Zip file is empty or selected entries are not present"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z008",
        "title": "Folder creation failed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z010",
        "title": "Myfolder Storage limit exceeds"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "Z011",
        "title": "Storage limit exceeds"
      }
    ]
  }
                
Show full